Jump to content


Photo

Updating Server To 2.1


  • Please log in to reply
3 replies to this topic

#1 (STK) Mř.˻

(STK) Mř.˻

    Zombie

  • Members
  • PipPipPip
  • 32 posts

Posted 13 December 2011 - 08:09 AM

I'm just wondering how I am supposed to properly update my server to 2.1? I assume I just replace the hl2ctf DIR on the server with the 2.1 version and restore my backups for sourcemod and my plugins and what not. Or do I have to contact gameservrs and have them do it...just as we had to when we first set it up?

Thanks

Edited by (STK) Mř.˻, 13 December 2011 - 08:10 AM.


#2 (STK) Mř.˻

(STK) Mř.˻

    Zombie

  • Members
  • PipPipPip
  • 32 posts

Posted 13 December 2011 - 08:44 AM

I just used the upgrade zip and put all that on the server, then replaced our custom stuff in the server.cfg and what not. Seems to be working just fine.

#3 MeNtHoL

MeNtHoL

    Project Lead

  • Admin
  • PipPipPipPipPipPipPipPipPipPipPip
  • 2,287 posts

Posted 13 December 2011 - 03:31 PM

Cool, sorry for the slow response. An issue was discovered with the weapon scripts that is critical and had to be addressed. The initial 2.0 to 2.1 upgrades had flawed weapon scripts. I have posted about this in the Announcements forum.

If you download the weapon script patch, it will not overwrite your server.cfg or anything else. You should apply this patch.

http://www.isolation...eapon_patch.zip

Sorry for yet another update. All of the full installations will be updated today so everyone should be properly patched and updated.

QUOTE((STK) Mř.˻ @ Dec 13 2011, 08:44 AM) View Post
I just used the upgrade zip and put all that on the server, then replaced our custom stuff in the server.cfg and what not. Seems to be working just fine.

AMBIGUITY ERROR - When something is definitely wrong, or maybe not.

#4 (STK) Mř.˻

(STK) Mř.˻

    Zombie

  • Members
  • PipPipPip
  • 32 posts

Posted 13 December 2011 - 04:07 PM

QUOTE(MeNtHoL @ Dec 13 2011, 06:31 PM) View Post
Cool, sorry for the slow response. An issue was discovered with the weapon scripts that is critical and had to be addressed. The initial 2.0 to 2.1 upgrades had flawed weapon scripts. I have posted about this in the Announcements forum.

If you download the weapon script patch, it will not overwrite your server.cfg or anything else. You should apply this patch.

http://www.isolation...eapon_patch.zip

Sorry for yet another update. All of the full installations will be updated today so everyone should be properly patched and updated.


No problem, thanks for the reply. I've updated our server with the latest weapon scripts. Thanks!




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users